Package com.sas.lsaf.content.repository

## Class RepositoryFileInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.RepositoryFileInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositoryFileInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the latest repository file information that is related to synchronization state. This provides information about the file that resides in the repository, independent of what the user has synchronized to their workspace, if they have synchronized the file to their workspace.
  Since:
    1.7
  See Also:
    `SynchronizationInfo.getRepositoryFileInfo()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryFileInfo​(java.lang.String id, java.lang.String path, java.lang.String version, java.util.Date lastModified, long size, boolean checkedOut, java.lang.String checkedOutBy)` | Initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCheckedOutBy()` | Gets the user who has the repository file checked out, if it is checked out.
    `java.lang.String` | `getId()` | Gets the unique identifier of the repository file.
    `java.util.Date` | `getLastModified()` | Gets the date on which the repository file was last modified.
    `java.lang.String` | `getPath()` | Gets the full path to the repository file.
    `long` | `getSize()` | Gets the size (in bytes) of the repository file.
    `java.lang.String` | `getVersion()` | Gets the latest version of the repository file.
    `int` | `hashCode()` |
    `boolean` | `isCheckedOut()` | Indicates whether the repository file is checked out.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryFileInfo

          public RepositoryFileInfo​(java.lang.String id,
                                    java.lang.String path,
                                    java.lang.String version,
                                    java.util.Date lastModified,
                                    long size,
                                    boolean checkedOut,
                                    java.lang.String checkedOutBy)

      Initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects.

      Parameters:
        `id` - The unique identifier for the repository file.
        `path` - The full path to the repository file.
        `version` - The version of the repository file.
        `lastModified` - The date on which the repository file was last modified.
        `size` - The size (in bytes) of the repository file.
        `checkedOut` - Indicates whether the repository is checked out.
        `checkedOutBy` - If the file is checked out, who has it checked out.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier of the repository file.
      Returns:
        The unique identifier of the repository file.

    - #### getPath

          public java.lang.String getPath()

      Gets the full path to the repository file.
      Returns:
        The full path to the repository file.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the latest version of the repository file.
      Returns:
        The latest version of the repository file.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the repository file was last modified.
      Returns:
        The date on which the repository file was last modified.

    - #### getSize

          public long getSize()

      Gets the size (in bytes) of the repository file.
      Returns:
        The size (in bytes) of the repository file.

    - #### isCheckedOut

          public boolean isCheckedOut()

      Indicates whether the repository file is checked out.
      Returns:
        `true` if the repository file is checked out, `false` otherwise.

    - #### getCheckedOutBy

          public java.lang.String getCheckedOutBy()

      Gets the user who has the repository file checked out, if it is checked out.
      Returns:
        The userID of the user who has the file checked out. If the file is not checked out, returns `null`.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`